diff --git a/app/.htaccess b/app/.htaccess
deleted file mode 100644
index 93169e4..0000000
--- a/app/.htaccess
+++ /dev/null
@@ -1,2 +0,0 @@
-Order deny,allow
-Deny from all
diff --git a/app/Mage.php b/app/Mage.php
index 28fe559..4dce192 100644
--- a/app/Mage.php
+++ b/app/Mage.php
@@ -942,7 +942,7 @@ final class Mage
             }
             catch (Exception $e) {}
 
-            require_once(self::getBaseDir() . DS . 'errors' . DS . 'report.php');
+            require_once(self::getBaseDir() . DS . 'public' . DS . 'errors' . DS . 'report.php');
         }
 
         die();
diff --git a/app/code/core/Mage/Core/Model/Config/Options.php b/app/code/core/Mage/Core/Model/Config/Options.php
index 31fbd4b..af2c726 100644
--- a/app/code/core/Mage/Core/Model/Config/Options.php
+++ b/app/code/core/Mage/Core/Model/Config/Options.php
@@ -61,8 +61,8 @@ class Mage_Core_Model_Config_Options extends Varien_Object
         $this->_data['etc_dir']     = $appRoot.DS.'etc';
         $this->_data['lib_dir']     = $root.DS.'lib';
         $this->_data['locale_dir']  = $appRoot.DS.'locale';
-        $this->_data['media_dir']   = $root.DS.'media';
-        $this->_data['skin_dir']    = $root.DS.'skin';
+        $this->_data['media_dir']   = $root.DS.'public'.DS.'media';
+        $this->_data['skin_dir']    = $root.DS.'public'.DS.'skin';
         $this->_data['var_dir']     = $this->getVarDir();
         $this->_data['tmp_dir']     = $this->_data['var_dir'].DS.'tmp';
         $this->_data['cache_dir']   = $this->_data['var_dir'].DS.'cache';
diff --git a/app/code/core/Mage/Install/etc/install.xml b/app/code/core/Mage/Install/etc/install.xml
index fdc42f3..5acb227 100644
--- a/app/code/core/Mage/Install/etc/install.xml
+++ b/app/code/core/Mage/Install/etc/install.xml
@@ -69,7 +69,7 @@
                     <recursive>1</recursive>
                 </var>
                 <media>
-                    <path>/media</path>
+                    <path>/public/media</path>
                     <existence>1</existence>
                     <recursive>1</recursive>
                 </media>
diff --git a/downloader/.htaccess b/downloader/.htaccess
deleted file mode 100755
index e8420e6..0000000
--- a/downloader/.htaccess
+++ /dev/null
@@ -1,11 +0,0 @@
-<IfModule mod_deflate.c>
-
-    RemoveOutputFilter DEFLATE
-    RemoveOutputFilter GZIP
-
-</IfModule>
-
-<Files ~ "\.(cfg|ini|xml)$">
-    order allow,deny
-    deny from all
-</Files> 
\ No newline at end of file
diff --git a/includes/.htaccess b/includes/.htaccess
deleted file mode 100644
index 93169e4..0000000
--- a/includes/.htaccess
+++ /dev/null
@@ -1,2 +0,0 @@
-Order deny,allow
-Deny from all
diff --git a/lib/.htaccess b/lib/.htaccess
deleted file mode 100644
index 93169e4..0000000
--- a/lib/.htaccess
+++ /dev/null
@@ -1,2 +0,0 @@
-Order deny,allow
-Deny from all
diff --git a/pkginfo/.htaccess b/pkginfo/.htaccess
deleted file mode 100644
index 93169e4..0000000
--- a/pkginfo/.htaccess
+++ /dev/null
@@ -1,2 +0,0 @@
-Order deny,allow
-Deny from all
diff --git a/public/api.php b/public/api.php
index 6430d5c..a510a0f 100644
--- a/public/api.php
+++ b/public/api.php
@@ -30,7 +30,7 @@ if (version_compare(phpversion(), '5.2.0', '<')) {
 }
 error_reporting(E_ALL | E_STRICT);
 
-$mageFilename = getcwd() . '/app/Mage.php';
+$mageFilename = getcwd() . '/../app/Mage.php';
 
 if (!file_exists($mageFilename)) {
     echo 'Mage file not found';
diff --git a/public/cron.php b/public/cron.php
index d555fca..8c9111b 100644
--- a/public/cron.php
+++ b/public/cron.php
@@ -24,7 +24,7 @@
  * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
  */
 
-require 'app/Mage.php';
+require '../app/Mage.php';
 
 if (!Mage::isInstalled()) {
     echo "Application is not installed yet, please complete install wizard first.";
diff --git a/public/get.php b/public/get.php
index a7fe802..052cd90 100644
--- a/public/get.php
+++ b/public/get.php
@@ -47,10 +47,10 @@ $bp = dirname(__FILE__);
  * Set include path
  */
 
-$paths[] = $bp . $ds . 'app' . $ds . 'code' . $ds . 'local';
-$paths[] = $bp . $ds . 'app' . $ds . 'code' . $ds . 'community';
-$paths[] = $bp . $ds . 'app' . $ds . 'code' . $ds . 'core';
-$paths[] = $bp . $ds . 'lib';
+$paths[] = $bp . $ds . '..' . $ds . 'app' . $ds . 'code' . $ds . 'local';
+$paths[] = $bp . $ds . '..' . $ds . 'app' . $ds . 'code' . $ds . 'community';
+$paths[] = $bp . $ds . '..' . $ds . 'app' . $ds . 'code' . $ds . 'core';
+$paths[] = $bp . $ds . '..' . $ds . 'lib';
 
 $appPath = implode($ps, $paths);
 set_include_path($appPath . $ps . get_include_path());
@@ -60,7 +60,7 @@ include_once 'Varien/Autoload.php';
 
 Varien_Autoload::register();
 
-$varDirectory = $bp . $ds . Mage_Core_Model_Config_Options::VAR_DIRECTORY;
+$varDirectory = $bp . $ds . '..' . $ds . Mage_Core_Model_Config_Options::VAR_DIRECTORY;
 
 $configCacheFile = $varDirectory . $ds . 'resource_config.json';
 
@@ -93,7 +93,7 @@ if ($mediaDirectory) {
     sendFile($filePath);
 }
 
-$mageFilename = 'app/Mage.php';
+$mageFilename = '../app/Mage.php';
 
 if (!file_exists($mageFilename)) {
     echo $mageFilename . ' was not found';
diff --git a/public/index.php b/public/index.php
index 99181c0..5b573c9 100644
--- a/public/index.php
+++ b/public/index.php
@@ -42,7 +42,7 @@ error_reporting(E_ALL | E_STRICT);
 /**
  * Compilation includes configuration file
  */
-define('MAGENTO_ROOT', getcwd());
+define('MAGENTO_ROOT', getcwd() . '/..');
 
 $compilerConfig = MAGENTO_ROOT . '/includes/config.php';
 if (file_exists($compilerConfig)) {
diff --git a/shell/.htaccess b/shell/.htaccess
deleted file mode 100644
index 93169e4..0000000
--- a/shell/.htaccess
+++ /dev/null
@@ -1,2 +0,0 @@
-Order deny,allow
-Deny from all
diff --git a/var/.htaccess b/var/.htaccess
deleted file mode 100644
index 93169e4..0000000
--- a/var/.htaccess
+++ /dev/null
@@ -1,2 +0,0 @@
-Order deny,allow
-Deny from all
